Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## threeD.raytracer.surfaceUI
Class CylinderUI

    java.lang.Object
      threeD.raytracer.surfaceUI.AbstractSurfaceUI
          threeD.raytracer.surfaceUI.CylinderUI

All Implemented Interfaces:
  Surface, SurfaceUI, SurfaceWrapper

public class CylinderUI
extends AbstractSurfaceUI

A CylinderUI object is an extension of the basic Cylinder object that can be used in an application with a user interface.

Field Summary

Fields inherited from class threeD.raytracer.surfaceUI.AbstractSurfaceUI
`surface`

Constructor Summary
`CylinderUI()` Constructs a CylinderUI object that represents a cylinder with a base radius of 1.0, centered at the origin, that is black.
`CylinderUI(Cylinder cylinder)` Constructs a CylinderUI object based on the specified Cylinder object.
`CylinderUI(Vector location, double radius)` Constructs a CylinderUI object that represents a cylinder with the specified base radius, and location, that is black.
`CylinderUI(Vector location, double radius, RGB color)` Constructs a CylinderUI object that represents a cylinder with the specified base radius, location, and color.

Method Summary
`void` | `draw(Graphics g, Camera camera)` Draws a simple representation of the cone represented by this ConeUI object on the specified Graphics object using the viewing settings of the specified Camera object.
`String` | `getType()` Returns "Primitive Cylinder" as the surface type of this CylinderUI object.

Methods inherited from class threeD.raytracer.surfaceUI.AbstractSurfaceUI
`getColorAt, getDialog, getName, getNormalAt, getShadeBack, getShadeFront, getSurface, hasDialog, intersect, intersectAt, setName, setParent, setSurface, shade, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CylinderUI

    public CylinderUI()

  Constructs a CylinderUI object that represents a cylinder with a base radius of 1.0, centered at the origin, that is black.

### CylinderUI

    public CylinderUI(Vector location,
                      double radius)

  Constructs a CylinderUI object that represents a cylinder with the specified base radius, and location, that is black.

### CylinderUI

    public CylinderUI(Vector location,
                      double radius,
                      RGB color)

  Constructs a CylinderUI object that represents a cylinder with the specified base radius, location, and color.

### CylinderUI

    public CylinderUI(Cylinder cylinder)

  Constructs a CylinderUI object based on the specified Cylinder object.

Method Detail

### getType

    public String getType()

  Returns "Primitive Cylinder" as the surface type of this CylinderUI object.

### draw

    public void draw(Graphics g,
                     Camera camera)

  Draws a simple representation of the cone represented by this ConeUI object on the specified Graphics object using the viewing settings of the specified Camera object.

Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2003-05 Mike Murray